# SourcePath: rtmpdump/20181224dev
Summary: rtmpdump is a toolkit for RTMP streams
Name: sony-target-dev-rtmpdump
%define pkgname %{sony_tool_triplet}-%{sony_target_dialect}-dev-rtmpdump
Version: 2.4
Release: 14010004
Source: rtmpdump-%{version}.tar.gz
Patch1: 01_unbreak_makefile.diff
Patch2: 02_gnutls_requires.private.diff
Patch3: 03_suppress_warning.diff
Patch4: CVE-2015-8270.patch
Patch5: CVE-2015-8271-1.patch
Patch6: CVE-2015-8271-2.patch
Patch7: CVE-2015-8272.patch
Patch8: rtmpdump-openssl-1.1.1.patch
Patch9: Fix_issue_1-7_from_LMX.patch
Patch10: Fix_issue_2-7_from_LMX.patch
Patch11: Fix_issue_4-7_from_LMX.patch
Patch12: Fix_issue_5_7_from_LMX.patch
Patch13: Fix_issue_6-7_from_LMX.patch
Patch14: Check_Content-Length_and_datestamp_overflow.patch
Patch15: Reject-Content-Length.patch
URL: https://rtmpdump.mplayerhq.hu/
License: Other
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
Group: %{sony_group}
Buildroot: %{_tmppath}/%{name}-root
%define targetroot %{sony_target_dir}
Prefix: %{sony_target_dir}


%description
rtmpdump is a toolkit for RTMP streams. 
All forms of RTMP are supported, including rtmp://, rtmpt://, rtmpe://, rtmpte://, and rtmps://.

%package -n %{pkgname}
Summary: rtmpdump is a toolkit for RTMP streams
Group: %{sony_group}
AutoReqProv: no

%description -n %{pkgname}
rtmpdump is a toolkit for RTMP streams. 
All forms of RTMP are supported, including rtmp://, rtmpt://, rtmpe://, rtmpte://, and rtmps://.

%prep
%setup -n rtmpdump-%{version} -q
%patch1 -p1
%patch2 -p1
#%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%build
%sony_target_dev_setup
make CC="${CC}" CRYPTO=OPENSSL XCFLAGS="-g -O2 -fstack-protector-strong -Wformat -Werror=format-security -Wdate-time -D_FORTIFY_SOURCE=2" XLDFLAGS="-Wl,-Bsymbolic-functions -Wl,-z,relro -Wl,--as-needed"


%install
rm -rf %{buildroot}
%sony_target_dev_setup
make install CRYPTO=OPENSSL XCFLAGS="-g -O2 -fstack-protector-strong -Wformat -Werror=format-security -Wdate-time -D_FORTIFY_SOURCE=2" XLDFLAGS="-Wl,-Bsymbolic-functions -Wl,-z,relro -Wl,--as-needed" DESTDIR=%{buildroot}%{sony_target_dir} includedir=%{sony_target_dev_include_dir}

# move librtmp/*.h -> /tool/usr/include
mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_devtool_include_dir}
cd %{buildroot}%{sony_target_dir}%{sony_target_dev_prefix}/include
mv librtmp %{buildroot}%{sony_target_dir}%{sony_target_devtool_include_dir}

for l in `ls %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}`; do
    case $l in
        *.a|pkgconfig)
          mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}
          mv %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}/$l \
             %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}
          ;;
    esac
done

for l in `ls %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}`; do
    if [ "$l" != "pkgconfig" ]; then
        ln -s ../..%{sony_target_devtool_lib_dir}/$l \
            %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}/$l
    fi
done

rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_data_dir}/man
%clean
#rm -rf %{buildroot}


%files -n %{pkgname}
%defattr(-,root,root)
%{sony_target_dir}%{sony_target_dev_lib_dir}/*
%{sony_target_dir}%{sony_target_devtool_lib_dir}/*
%{sony_target_dir}%{sony_target_dev_bin_dir}/rtmpdump
%{sony_target_dir}%{sony_target_dev_sbin_dir}/rtmpgw
%{sony_target_dir}%{sony_target_dev_sbin_dir}/rtmpsrv
%{sony_target_dir}%{sony_target_dev_sbin_dir}/rtmpsuck
%{sony_target_dir}%{sony_target_dev_include_dir}/librtmp/*.h

%changelog
* Tue Jan 19 2021 Sony Corporation
- rtmpdump config update

* Thu Dec 12 2019 Sony Corporation 
- Fixed .pc files installation path

* Mon Dec 24 2018 Sony Corporation
- Initial build.
